import 'package:account/src/core/providers/account_repository_provider.dart';
import 'package:account/src/features/change_password/domain/change_password_use_case.dart';
import 'package:account/src/features/change_password/domain/change_password_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final changePasswordUseCaseProvider = Provider.autoDispose<ChangePasswordUseCase>((ref) {
  final accountRepository = ref.read(accountRepositoryProvider);
  return ChangePasswordUseCaseImpl(accountRepository);
});
